[arch-commits] Commit in gnucash/repos/community-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Fri Nov 30 08:47:44 UTC 2018


    Date: Friday, November 30, 2018 @ 08:47:43
  Author: arojas
Revision: 410593

archrelease: copy trunk to community-x86_64

Added:
  gnucash/repos/community-x86_64/PKGBUILD
    (from rev 410592, gnucash/trunk/PKGBUILD)
Deleted:
  gnucash/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   98 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-11-30 08:47:21 UTC (rev 410592)
+++ PKGBUILD	2018-11-30 08:47:43 UTC (rev 410593)
@@ -1,49 +0,0 @@
-# Maintainer: Balló György <ballogyor+arch at gmail dot com>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Contributor: Mark Schneider <queueRAM at gmail.com>
-
-pkgname=gnucash
-pkgver=3.2
-pkgrel=6
-pkgdesc='Personal and small-business financial-accounting application'
-arch=(x86_64)
-url='https://gnucash.org/'
-license=(GPL)
-depends=(aqbanking boost-libs guile libdbi webkit2gtk)
-makedepends=(boost cmake gmock libdbi-drivers libmariadbclient postgresql-libs)
-optdepends=('gnucash-docs: documentation'
-            'libdbi-drivers: open and save data into SQL database'
-            'perl-date-manip: stock information lookups'
-            'perl-finance-quote: stock information lookups')
-options=(!emptydirs)
-source=(https://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
-sha256sums=('beb028b6933f57a6dad89f0c0a54ffe7b5dd42bbd3f532405f4ffd01cc5eaa5c')
-
-build() {
-  cd $pkgname-$pkgver
-
-  # Do not treat warnings as errors
-  CXXFLAGS+=' -Wno-error'
-
-  cmake	-DCMAKE_INSTALL_PREFIX=/usr \
-        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
-        -DWITH_PYTHON=ON \
-        -DHAVE_GWEN_GTK3=ON \
-        -DCOMPILE_GSCHEMAS=OFF
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make -k check || : # 2 tests failed
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-
-  # Delete the gnucash-valgrind executable because the source files
-  # are not included with the package and the executable is hardlinked
-  # to the location that it was built at.
-  rm -f "$pkgdir/usr/bin/gnucash-valgrind"
-}

Copied: gnucash/repos/community-x86_64/PKGBUILD (from rev 410592, gnucash/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-11-30 08:47:43 UTC (rev 410593)
@@ -0,0 +1,49 @@
+# Maintainer: Balló György <ballogyor+arch at gmail dot com>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=3.3
+pkgrel=1
+pkgdesc='Personal and small-business financial-accounting application'
+arch=(x86_64)
+url='https://gnucash.org/'
+license=(GPL)
+depends=(aqbanking boost-libs guile libdbi webkit2gtk)
+makedepends=(boost cmake gmock libdbi-drivers libmariadbclient postgresql-libs)
+optdepends=('gnucash-docs: documentation'
+            'libdbi-drivers: open and save data into SQL database'
+            'perl-date-manip: stock information lookups'
+            'perl-finance-quote: stock information lookups')
+options=(!emptydirs)
+source=(https://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
+sha256sums=('491735df36cb7ba9d04de28e28df53c3e5d928bda52009708d2f83ab9a42f820')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Do not treat warnings as errors
+  sed -e 's|-Werror||g' -i CMakeLists.txt
+
+  cmake	-DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+        -DWITH_PYTHON=ON \
+        -DHAVE_GWEN_GTK3=ON \
+        -DCOMPILE_GSCHEMAS=OFF
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make -k check || : # 2 tests failed
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+
+  # Delete the gnucash-valgrind executable because the source files
+  # are not included with the package and the executable is hardlinked
+  # to the location that it was built at.
+  rm -f "$pkgdir/usr/bin/gnucash-valgrind"
+}


More information about the arch-commits mailing list